
From: Mikael Pettersson <mikpe@csd.uu.se>

The current local APIC code refuses to enable the local APIC on a P4 if the
BIOS booted us with the local APIC disabled.  This patch removes this
unnecessary restriction.  Please apply.

Most P4 machines do boot with the local APIC enabled, but Keith Owens
reported that the P4 based Compaq Evo N800v disables the local APIC, even
though the machine actually works if Linux enables it.

It is possible that some P4 machines with broken BIOSen were saved by our
refusal to enable the local APIC.  We can handle them via the DMI blacklist
rules instead.



 arch/i386/kernel/apic.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/kernel/apic.c~enable-local-apic-on-p4 arch/i386/kernel/apic.c
--- 25/arch/i386/kernel/apic.c~enable-local-apic-on-p4	2003-06-23 17:05:56.000000000 -0700
+++ 25-akpm/arch/i386/kernel/apic.c	2003-06-23 17:05:56.000000000 -0700
@@ -616,7 +616,7 @@ static int __init detect_init_APIC (void
 		goto no_apic;
 	case X86_VENDOR_INTEL:
 		if (boot_cpu_data.x86 == 6 ||
-		    (boot_cpu_data.x86 == 15 && cpu_has_apic) ||
+		    boot_cpu_data.x86 == 15 ||
 		    (boot_cpu_data.x86 == 5 && cpu_has_apic))
 			break;
 		goto no_apic;

_
